
**unreleased v0.3.5**

- Fix: Footer links pointing to unused older domain
- Fix: Tracked Content incorrectly ordering by oldest first
- Enhancement: webui now uses entire screen width, as bigger scopes require more room
- Enhancement: Wider and more detailed server sidebar, to utilise newfound screen space
-

**v0.3.4**

- Fix: Refresh data tables after deleting any number of entries (corbz/PYRSS-Website#38)
- Enhancement: `data-field` implementation for subscription form
- Enhancement: Improved the offcanvas navbar on smaller screens, to be less ugly
- Fix: Select2 dropdown search bars always using light theme, regardless of user choice
- Enhancement: Clearer help label on the 'Add Server' modal/form
- Enhancement: Add wiki link button to footer
- Fix: "ordering=unknown" by only applying ordering if it's truthy
- Fix: Exception caused by unfinished queryset method on the `/api/guild-settings/` endpoint
- Enhancement: rewrote `confirmDeleteModal` into less specific `confirmationModal` with specifiable styles
- Fix: Several potential xss attack vectors
- Fix: 'Add Pyrss' button incorrectly not opening in new tab

**v0.3.3**

- Enhancement: Added some refreshing new fonts (sora & atkison hyperlegible)
- Enhancement: all table cells no longer wrap text
- Fix: fixed a padding issue with link-style buttons in table cells
- Enhancement: `DISCORD_SCOPES` as env var, rather than hard coded
- Other: added license file

**v0.3.2**

- Fix: invite link refered to wrong Discord application, because the client Id was hard coded
- Enhancement: enabled pagination for the `/api/guild-settings/` endpoint

**v0.3.1**

- Fix: issues brought from previous version

**breaking changes v.0.3.0**

- Enhancement: store guild settings in separate model
- Breaking: server `default_embed_colour` setting will be reset due to changes on how settings are stored
- Enhancement: moved server settinsg from tab to pop-out modal
- Enhancement: `active` flag added as server setting, soft-toggles activeness of associated subscriptions
- Fix: Bad text alignment for some table button links
- Fix & Enhancement: some small clean-up/patches here and there
- Fix: Incorrect margin on 'server settings' & 'new server' modal buttons
- Fix: Table "X Results" text now correctly plural only if `results > 1`

**v0.2.2**

- Enhancement: added open graph meta tags
- Fix: csrf trusted origins warning, from not including url protocol
- Fix/Enhancement: Replaced `<a href="#" onclick="doThing()">` buttons with `<button>`.

**v0.2.1**

- Enhancement: Added confirmation modal for closing a server

**v0.2.0**

- Enhancement: Improved warning when server doesn't include bot member
- Enhancement: Made it easier to update labels to the current server's details
- Enhancement: 'Go Back' button on the server page, takes the user to the 'select a server' page.
- Docs: Further documented `static/home/servers.js`
- Other: removed some unused/unreferenced code

**v0.1.14**

- Fix: layout issue for the 'select a server' page was off-centre

**v0.1.13**

- Docs: Start of changelog
- Fix: remove db flush from entrypoint file

**v0.1.0**

- Initial Release
